#include <Wire.h>
#include "DFRobot_RGBLCD.h"
int i = 0;

DFRobot_RGBLCD lcd(16,2);  //16 characters and 2 lines of show

void setup() {
  Serial.begin(9600);
  // initialize
  lcd.init();
  lcd.setCursor(0,0);
  lcd.print("MIKROKONTROLER.pl DFRobot RGB LCD test");
}

void loop() {
  kolory (i);
  ++i%=7;
  lcd.scrollDisplayLeft();
  delay(1000);
}

void kolory (int i){
  switch (i) {
    case 0: 
      lcd.setRGB(255,0,0); // Czerwony
      break;
    case 1: 
      lcd.setRGB(0,255,0); // Zielony
      break;
    case 2: 
      lcd.setRGB(0,0,255); // Niebieski
      break;
    case 3: 
      lcd.setRGB(255,255,0); // Zolty
      break;
    case 4: 
      lcd.setRGB(0,255,255); // Blekitny
      break;
    case 5: 
      lcd.setRGB(255,0,255); // Magneta
      break;
    case 6: 
      lcd.setRGB(255,255,255); // Bialy
      break;
    default:
      lcd.setRGB(0,0,0);   
      break;
  }
}
